Update Organization General Settings
https://app.fossa.com/api/organizations/{id}/settings/generalUpdate general settings for an organization
Path parameters
idintegerrequiredRequest body · application/json
labelsstring[]packageLabelsstring[]Package label names to set on the organization.
titlestringemailstringdefaultRoleIdintegerdependencySignaturesstringComma-separated signatures of internal packages to ignore. At most 1000 entries of at most 512 characters each, and one save can add or remove at most 1000 entries. A save that breaks a bound can be rejected with a 400. A list already over the entry cap can still be saved, shortened, or have up to 1000 entries swapped per save.
disableNonCustomTeamUserRolesbooleansnippetSourceCodeRetentionDaysintegerNumber of days to retain source code from snippet matches. Must be between 1 and 30, or a 400 is returned.
licenseConcludedEnabledbooleanWhether the license-concluded workflow is enabled for the organization.
Responses
204No content400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
429Too Many Requests. Each organization can make at most 10 successful general settings saves a minute.Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/generalcurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/general' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "labels": [ "critical", "low" ], "packageLabels": [ "internal", "external" ], "title": "title", "email": "test@fossa.com", "defaultRoleId": 1, "dependencySignatures": "1,2,3", "disableNonCustomTeamUserRoles": false, "snippetSourceCodeRetentionDays": 30, "licenseConcludedEnabled": true}'Real request. Mutating methods can change data.
Path params
idintegerrequired